Trio VMS Client API Docs
Trio Agency APIsTrio Client APIs
Trio Staff APIs
Trio Agency APIsTrio Client APIs
Trio Staff APIs
  1. Clients
  • Home
  • v3
    • AssignmentConfirmations
      • Get information for the specified assignment confirmation version.
    • Candidates
      • Gets a list of candidates
      • Gets candidate's state licenses
    • Clients
      • Get clients.
        GET
      • Get clients by external source reference code.
        GET
      • Get client locations.
        GET
      • Get a specific client location.
        GET
      • Get client contacts.
        GET
      • Get a specific client contact.
        GET
      • Get a client's presentation requirements.
        GET
    • Invoice
      • Get a list of invoices.
      • Get an invoice by number
      • Get a list of timecards for the specified invoice.
    • Job
      • Gets a listing of all open jobs.
      • Gets a listing of closed jobs based on the date range.
      • Get information for the specified job.
    • Notifications
      • Gets a list of available notification types
    • Positions
      • Gets a list of assignments with demographics
    • Profession
      • Gets all professions with a list of their specialties.
    • ProviderConfirmation
      • Get a list of provider confirmations related to your account.
      • Get information for the specified provider confirmation.
    • Shifts
      • Gets a list of shifts for the user performing the request
      • Creates a new shift
      • Updates an existing shift
      • Get the reasons that may accompany a shift status change.
      • Gets a list of available shift statuses
      • Gets a specific shift
      • Cancels a shift
      • Attempts to claim the shift for the current user or specified candidate
      • Confirms the assignment of a shift
      • Declines the assignment of a shift
      • Releases a confirmed shift
    • ShiftSubmissions
      • Attempts to submit a shift submission
      • Attempts to accept a shift submission
      • Attempts to reject a shift submission
      • Attempts to withdraw a shift submission
    • Specialty
      • Gets all specialties.
      • Gets information for the specified specialty.
    • Submission
      • Get a list of all submissions related to your account.
      • Create a new submission.
      • Accepts a submission that was offered.
      • Declines an offered submission.
      • Withdraw a submission.
      • Get a list of reasons for withdrawing a submission.
      • Get information for the specified submission.
      • Update the specified submission.
    • SubmissionDocuments
      • Get the documents attached to a submission.
      • Download a specific submission document.
    • Submissions
      • Get submissions across every segment group.
      • Get a specific submission.
    • StaffingPools
      • Get a collection of candidates with active or inactive clearances to staffing pools
      • Get locations for staffing pools
    • Tenants
      • Get tenant info
    • Timecard
      • Get a list of all Timecards related to your account.
      • Get a list of all valid Pay Types the can be used when creating/updating Timecard Lines.
      • Get callback statistics for a specific client.
      • Get a list of all valid status reasons.
      • Get the reviews for a specific timecard.
      • Create a review for a specific timecard.
      • Get a review for a specific timecard.
      • Update a review for a specific timecard.
      • Delete a review for a specific timecard.
      • Get a specific timecard.
      • Approve a timecard.
      • Declines the specified timecard.
      • Get a list of all documents associated with a timecard.
      • Get the timesheet document associated with a timecard.
      • Get a specific document associated with a timecard.
      • Verify a timecard.
    • TimecardExpense
      • Get a list of all Timecard Expenses for a Timecard.
    • TimecardLine
      • Get a list of all Timecard Lines for a Timecard.
    • Webhooks
      • Get the list of available events that can be subscribed to via webhook.
  1. Clients

Get a client's presentation requirements.

GET
https://api.triowfs.com/trio/api/v3/clients/{idOrNumber}/presentation-requirements
Returns the presentation requirements that apply to the client. When the client does not define its own, they are resolved from the nearest ancestor that does and sourceClient identifies it.

Request

Authorization
Add parameter in header
x-api-key
Example:
x-api-key: ********************
Path Params

Responses

🟢200OK
application/json
A successful OK response (HTTP 200) with a typed body.
Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🟠404Record Not Found
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.triowfs.com/trio/api/v3/clients//presentation-requirements' \
--header 'x-api-key: <api-key>'
Response Response Example
200 - Example 1
{
    "presentationRequirements": "string",
    "sourceClient": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "number": 0,
        "name": "string",
        "type": "string"
    }
}
Modified at 2026-09-17 22:39:27
Previous
Get a specific client contact.
Next
Get a list of invoices.
Built with